Altimax\Apidae\Core\Entity\SitraAdminTemplate:
  type: entity
  table: sitra_admin_template
  repositoryClass: Altimax\Apidae\Core\Repository\SitraAdminTemplate
  id:
    id:
      type: integer
      nullable: false
      unsigned: false
      comment: ''
      id: true
      generator:
        strategy: IDENTITY
  fields:
    nom:
      type: string
      nullable: true
      length: 50
      fixed: false
      comment: ''
    modeAffichage:
      type: string
      nullable: false
      length: 50
      fixed: false
      comment: ''
      column: mode_affichage
    html:
      type: text
      nullable: false
      fixed: false
    usedShortcodes:
      type: text
      nullable: false
      fixed: false
      column: used_shortcodes
  manyToOne:
    layout:
      targetEntity: Altimax\Apidae\Core\Entity\SitraAdminLayout
      cascade: {  }
      mappedBy: null
      inversedBy: templates
      joinColumns:
        layout_id:
          referencedColumnName: id
          onDelete: CASCADE
      orphanRemoval: false
  manyToMany:
    typeObjet:
      targetEntity: Altimax\Apidae\Core\Entity\SitraAdminTypeObjet
      inversedBy: template
      fetch: EXTRA_LAZY
      joinTable:
        name: sitra_admin_liaison_typeobjet_template
        joinColumns:
          template_id:
            referencedColumnName: id
            onDelete: CASCADE
        inverseJoinColumns:
          type_objet_id:
            referencedColumnName: id
            onDelete: CASCADE
  lifecycleCallbacks: {  }